Debian Bug report logs - #548321
[xterm] abort() a bit after catting binary file

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Gennady <Gennady.Kupava@simicon.com>

Date: Fri, 25 Sep 2009 15:15:02 UTC

Severity: minor

Tags: fixed-upstream

Found in version xterm/247-1

Fixed in version xterm/249-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#548321; Package xterm. (Fri, 25 Sep 2009 15:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gennady <Gennady.Kupava@simicon.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 25 Sep 2009 15:15:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gennady <Gennady.Kupava@simicon.com>
To: submit@bugs.debian.org
Subject: [xterm] abort() a bit after catting binary file
Date: Fri, 25 Sep 2009 18:05:53 +0400
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 247-1
Severity: minor

--- Please enter the report below this line. ---
After cat $binaryfile, on next xterm window resize it abort()s.

Core dump and file attached.

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.30-1-686

Debian Release: squeeze/sid
  500 unstable        www.emdebian.org 
  500 unstable        mirror.yandex.ru 
  500 unstable        emacs.orebokech.com 
  500 testing         mirror.yandex.ru 
  500 stable          mirror.yandex.ru 

--- Package information. ---
Depends                      (Version) | Installed
======================================-+-====================
xbitmaps                               | 1.0.1-2
libc6                       (>= 2.3.4) | 2.9-26
libfontconfig1              (>= 2.4.0) | 2.6.0-4
libice6                   (>= 1:1.0.0) | 2:1.0.5-1
libncurses5        (>= 5.6+20071006-3) | 5.7+20090803-2
libutempter0                           | 1.1.5-2
libx11-6                               | 2:1.2.2-1
libxaw7                                | 2:1.0.6-1
libxft2                     (>> 2.1.1) | 2.1.13-3
libxmu6                                | 2:1.0.4-2
libxt6                                 | 1:1.0.6-1


Recommends      (Version) | Installed
=========================-+-===========
x11-utils                 | 7.4+1
 OR xutils                | 


Suggests             (Version) | Installed
==============================-+-===========
xfonts-cyrillic                | 




[core.gz (application/x-gzip, inline)]
[fail.gz (application/x-gzip, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#548321; Package xterm. (Tue, 29 Sep 2009 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 29 Sep 2009 00:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 548321@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 548321@bugs.debian.org
Cc: 548321-submitter@bugs.debian.org
Subject: re: #548321 [xterm] abort() a bit after catting binary file
Date: Mon, 28 Sep 2009 20:36:49 -0400
[Message part 1 (text/plain, inline)]
Is this running in koi8rxterm (which sets locale to ru_RU.KOI8-R and
turns on the -k8 option), or just in xterm by itself?

Just cat'ing the file and resizing, I've not (yet) broken it.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Gennady <Gennady.Kupava@simicon.com>:
Bug#548321. (Tue, 29 Sep 2009 00:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#548321; Package xterm. (Wed, 30 Sep 2009 12:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gennady <Gennady.Kupava@simicon.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 30 Sep 2009 12:42:07 GMT) Full text and rfc822 format available.

Message #18 received at 548321@bugs.debian.org (full text, mbox):

From: Gennady <Gennady.Kupava@simicon.com>
To: dickey@his.com, 548321-quiet@bugs.debian.org
Cc: 548321@bugs.debian.org, 548321-submitter@bugs.debian.org
Subject: Re: Bug#548321: #548321 [xterm] abort() a bit after catting binary file
Date: Wed, 30 Sep 2009 16:31:46 +0400
>Is this running in koi8rxterm (which sets locale to ru_RU.KOI8-R and
turns on the -k8 option), or just in xterm by itself?

Just in plain xterm.

bash shell, wmaker window manager. Farther, catting larger portion of this file abort()s it without resizing.

I am running:

$xterm -e /bin/dash

In new xterm:

$zcat ~/Desktop/fail.gz

Resize window 1 character right, it aborts.

Locale setting is en_US.UTF-8.

I get xterm and libutempter0 debs to my nearby debian testing-favor box.

With original packages (xterm 235-2 and no libutempter), i got no abort.

With newly upgraded xterm I reproduced it where.

LANG=ru_RU.UTF-8, xfce window manager where.

Mb you didn't extract it?






Information stored :
Bug#548321; Package xterm. (Wed, 30 Sep 2009 12:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gennady <Gennady.Kupava@simicon.com>:
Extra info received and filed, but not forwarded. (Wed, 30 Sep 2009 12:42:12 GMT) Full text and rfc822 format available.

Message sent on to Gennady <Gennady.Kupava@simicon.com>:
Bug#548321. (Wed, 30 Sep 2009 12:42:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#548321; Package xterm. (Wed, 30 Sep 2009 23:35:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 30 Sep 2009 23:35:22 GMT) Full text and rfc822 format available.

Message #31 received at 548321@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Gennady <Gennady.Kupava@simicon.com>
Cc: 548321-quiet@bugs.debian.org, 548321@bugs.debian.org, 548321-submitter@bugs.debian.org
Subject: Re: Bug#548321: #548321 [xterm] abort() a bit after catting binary file
Date: Wed, 30 Sep 2009 19:11:36 -0400 (EDT)
On Wed, 30 Sep 2009, Gennady wrote:

>> Is this running in koi8rxterm (which sets locale to ru_RU.KOI8-R and
> turns on the -k8 option), or just in xterm by itself?
>
> Just in plain xterm.
>
> bash shell, wmaker window manager. Farther, catting larger portion of this file abort()s it without resizing.
>
> I am running:
>
> $xterm -e /bin/dash
>
> In new xterm:
>
> $zcat ~/Desktop/fail.gz
>
> Resize window 1 character right, it aborts.
>
> Locale setting is en_US.UTF-8.

this breaks for me (will see if I can reproduce it with my own compile,
to debug it).

> I get xterm and libutempter0 debs to my nearby debian testing-favor box.
>
> With original packages (xterm 235-2 and no libutempter), i got no abort.
>
> With newly upgraded xterm I reproduced it where.
>
> LANG=ru_RU.UTF-8, xfce window manager where.
>
> Mb you didn't extract it?

I did - but the conditions for reproducing it weren't apparent.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information stored :
Bug#548321; Package xterm. (Wed, 30 Sep 2009 23:35:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and filed, but not forwarded. (Wed, 30 Sep 2009 23:35:32 GMT) Full text and rfc822 format available.

Message sent on to Gennady <Gennady.Kupava@simicon.com>:
Bug#548321. (Wed, 30 Sep 2009 23:35:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#548321; Package xterm. (Thu, 01 Oct 2009 01:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 01 Oct 2009 01:24:07 GMT) Full text and rfc822 format available.

Message #44 received at 548321@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Gennady <Gennady.Kupava@simicon.com>
Cc: 548321-quiet@bugs.debian.org, 548321@bugs.debian.org, 548321-submitter@bugs.debian.org
Subject: Re: Bug#548321: #548321 [xterm] abort() a bit after catting binary file
Date: Wed, 30 Sep 2009 21:07:20 -0400 (EDT)
On Wed, 30 Sep 2009, Gennady wrote:

> With newly upgraded xterm I reproduced it where.

with these details, I was able to reproduce it.

It's technically a bug from #242, which happened to be noticeable after
the reorganization of memory starting with #244.  (I have some test-builds 
to do, and hope to finish #249 tomorrow).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information stored :
Bug#548321; Package xterm. (Thu, 01 Oct 2009 01:24:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and filed, but not forwarded. (Thu, 01 Oct 2009 01:24:12 GMT) Full text and rfc822 format available.

Message sent on to Gennady <Gennady.Kupava@simicon.com>:
Bug#548321. (Thu, 01 Oct 2009 01:24:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#548321; Package xterm. (Fri, 02 Oct 2009 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 02 Oct 2009 22:24:03 GMT) Full text and rfc822 format available.

Message #57 received at 548321@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 548321@bugs.debian.org
Cc: 548321-submitter@bugs.debian.org
Subject: re: #548321 [xterm] abort() a bit after catting binary file
Date: Fri, 02 Oct 2009 18:17:28 -0400
[Message part 1 (text/plain, inline)]
This is fixed in patch #249

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Fri, 02 Oct 2009 22:24:04 GMT) Full text and rfc822 format available.

Message sent on to Gennady <Gennady.Kupava@simicon.com>:
Bug#548321. (Fri, 02 Oct 2009 22:24:07 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 04 Oct 2009 17:27:21 GMT) Full text and rfc822 format available.

Notification sent to Gennady <Gennady.Kupava@simicon.com>:
Bug acknowledged by developer. (Sun, 04 Oct 2009 17:27:21 GMT) Full text and rfc822 format available.

Message #67 received at 548321-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 548321-close@bugs.debian.org
Subject: Bug#548321: fixed in xterm 249-1
Date: Sun, 04 Oct 2009 17:05:41 +0000
Source: xterm
Source-Version: 249-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_249-1.diff.gz
  to pool/main/x/xterm/xterm_249-1.diff.gz
xterm_249-1.dsc
  to pool/main/x/xterm/xterm_249-1.dsc
xterm_249-1_amd64.deb
  to pool/main/x/xterm/xterm_249-1_amd64.deb
xterm_249.orig.tar.gz
  to pool/main/x/xterm/xterm_249.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 548321@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 Oct 2009 15:40:16 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 249-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 548321
Changes: 
 xterm (249-1) unstable; urgency=low
 .
   * New upstream release.
     + add limit-checks for result of visual_width() function, needed from
       patch #242 and exposed by #244 changes (closes: #548321).
   * Upstream changed the default of AllowWindowOps to false, remove patch
     903_windowops.diff.
   * Use the upstream default for pointerMode; drop patch
     902_pointermode_never.diff.
Checksums-Sha1: 
 88b20c52693b043dc14b6dbd0eef3ae5c50af33f 1314 xterm_249-1.dsc
 2c3e33ce1ed02085a3f9f692dca1d8bb4f641f89 885937 xterm_249.orig.tar.gz
 2d169e2907f51236661f1cccdbb183c11101c6f1 74083 xterm_249-1.diff.gz
 068f7eec9f2caf35711b9d484565c2f129ffe1b2 514432 xterm_249-1_amd64.deb
Checksums-Sha256: 
 d6565816fbb44f797fbb9e7c37b7a94d805de6870e01f83538b45eeaa437c07f 1314 xterm_249-1.dsc
 d979e782f722b5f29a65a2deabcc4789d9966531fa047bf59ad14308b4b1edd9 885937 xterm_249.orig.tar.gz
 808fe11714780bc22f93d8448c5ed03640584aa0d5bfda96dfa25c2d6ea0388b 74083 xterm_249-1.diff.gz
 3570a388ad27ed6f3b2dc5fd8df657e882b3eb1bcd2414b5567498e3d3ee4bad 514432 xterm_249-1_amd64.deb
Files: 
 b1b94baab2d7f0083031c4c36dfa5ab1 1314 x11 optional xterm_249-1.dsc
 d51ebabd8f2114911494310cdda38a12 885937 x11 optional xterm_249.orig.tar.gz
 7f14c487f64e52a637def697e9f7d4eb 74083 x11 optional xterm_249-1.diff.gz
 df8b4b9461dee793abe442ada83d056b 514432 x11 optional xterm_249-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrIqE0ACgkQmEvTgKxfcAz0qACcDIbkTJLSOPBHPPGjBRWdd3SL
wn8AoMbIY2M2C9K/GA9J3TtGudxnwcNc
=Xs45
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#548321; Package xterm. (Mon, 05 Oct 2009 11:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gennady <Gennady.Kupava@simicon.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 05 Oct 2009 11:27:06 GMT) Full text and rfc822 format available.

Message #72 received at 548321@bugs.debian.org (full text, mbox):

From: Gennady <Gennady.Kupava@simicon.com>
To: dickey@his.com, 548321-quiet@bugs.debian.org
Cc: 548321@bugs.debian.org, 548321-submitter@bugs.debian.org
Subject: Re: Bug#548321: #548321 [xterm] abort() a bit after catting binary file
Date: Mon, 05 Oct 2009 15:10:46 +0400
Verified it here - no more crash.






Information stored :
Bug#548321; Package xterm. (Mon, 05 Oct 2009 11:27:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gennady <Gennady.Kupava@simicon.com>:
Extra info received and filed, but not forwarded. (Mon, 05 Oct 2009 11:27:19 GMT) Full text and rfc822 format available.

Message sent on to Gennady <Gennady.Kupava@simicon.com>:
Bug#548321. (Mon, 05 Oct 2009 11:27:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Nov 2009 07:33:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:02:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.